petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetType

Sets the algorithm used in a line search

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetType(TaoLineSearch ls, const TaoLineSearchType type)

Collective on TaoLineSearch Many br

### Input Parameters

| ls | - the TaoLineSearch context Many br
| type | - a known method Many br

### Available methods include

| more | - thuente Many br
| gpcg | - - unit - Do not perform any line search Many br

### Options Database Keys

| -tao_ls_type | - select which method TAO should use Many br

Many br

### See Also

TaoLineSearchCreate(), TaoLineSearchGetType(), TaoLineSearchApply()

Level:beginner
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages